#include "arg.ih"

bool Arg__::asCharOption()
{
    *(*d_arg + 1) = 0;          // keep the '-'
    argAppend(d_nextChar);              // set the option

    if (d_assignment)
        argAppend(d_tail);

    --d_arg;                    // redo this option as a char option
    return true;
}
